Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.businessrefinery.barcodereader.pdf417
Class PDF417Reader

    java.lang.Object
      com.businessrefinery.barcodereader.pdf417.PDF417Reader

    public class PDF417Reader

extends java.lang.Object

Class for reading data from PDF417 barcode image. Usage: // load image into a BufferedImage object BufferedImage bufferedImage = new BufferedImage(...); PDF417Reader reader = new PDF417Reader(); PDF417Data[] datas = reader.read(new BarcodeImage(bufferedImage));

Field Summary
`boolean` | `applyContrast` set this property to true if the barcode in the image is not dark enough
`boolean` | `isBWImage` whether a black and white image
`boolean` | `verbose`

Constructor Summary
`PDF417Reader()`

Method Summary
`java.util.Vector` | `findPDF417(BarcodeImage image, VectorizedImage vi)`
`PDF417Data[]` | `read(BarcodeImage inputImage)` use this method to get data from barcode image

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### applyContrast

    public boolean applyContrast

  set this property to true if the barcode in the image is not dark enough

### verbose

    public boolean verbose

### isBWImage

    public boolean isBWImage

  whether a black and white image

Constructor Detail

### PDF417Reader

    public PDF417Reader()

Method Detail

### read

    public PDF417Data[] read(BarcodeImage inputImage)
                      throws BarcodeException

  use this method to get data from barcode image

  Throws:
    `BarcodeException`

### findPDF417

    public java.util.Vector findPDF417(BarcodeImage image,
                                       VectorizedImage vi)
                                throws BarcodeException

  Throws:
    `BarcodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD